Bug 1611809 - Basic FPGA Support
Summary: Basic FPGA Support
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-02 19:02 UTC by Ben Cotton
Modified: 2019-10-29 17:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-29 17:11:35 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2018-08-02 19:02:39 UTC
This is a tracking bug for Change: Basic FPGA Support
For more details, see: https://fedoraproject.org/wiki/Changes/FPGA

A number of devices like Xilinx ZYNQ based devices such as the 96boards Ultra96 and the Intel based UP² have onboard FPGAs. FPGA manager is a vendor-neutral framework that has been upstream in the kernel since 4.4. This is the initial support for FPGAs in Fedora using open source vendor agnostic tools.

Comment 1 Jan Kurik 2018-08-14 11:01:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Ben Cotton 2018-08-14 13:13:08 UTC
According to the Fedora 29 schedule[1], today is the deadline for changes to be in a testable state. If your change is ready to be tested, please set the status to ON_QA. A list of incomplete changes will be sent to FESCo tomorrow for evaluation. If you know your change will not be ready for Fedora 29, you can set the version to rawhide and notify bcotton@fedoraproject.org.

[1] https://fedoraproject.org/wiki/Releases/29/Schedule

Comment 3 Ben Cotton 2018-08-15 11:23:53 UTC
Correction: please set the status to "MODIFIED" when the change is testable. See https://fedoraproject.org/wiki/Changes/Policy#Change_Checkpoint:_Completion_deadline

Comment 4 Peter Robinson 2018-08-16 10:08:57 UTC
Sorry been traveling and behind on BZ mail. This is testable and is being tweaked as we do so.

Comment 5 Ben Cotton 2018-08-28 13:54:13 UTC
Today is the '100% code complete deadline' Change Checkpoint[1], meaning that Fedora 29 Changes must now be code complete. All the code required to enable to the new change should now be finished. If your Change is code complete, please update the status of this tracker back to "ON_QA". The change does not have to be fully tested by this deadline.

We have now reached the Beta freeze. If your Change is not code complete, you need to request a Freeze Exception[2] or invoke the contingency plan.

[1] https://fedoraproject.org/wiki/Changes/Policy#Beta_deadline.2Faccepted_changes_100.25_complete

[2] https://fedoraproject.org/wiki/QA:SOP_freeze_exception_bug_process

Comment 6 Peter Robinson 2018-08-28 13:56:42 UTC
Complete and testable with appropriate HW

Comment 7 Pat Riehecky 2019-01-18 20:12:16 UTC
Are there instructions on how to test this?


Note You need to log in before you can comment on or make changes to this bug.